﻿using GameApp.Model;
using OpenGL;

namespace GameApp.Entities
{
    public class Entity
    {
        TextureModel _model;
        public TextureModel Model { get { return _model; } }

        Vertex3f _position;
        public Vertex3f Position { get { return _position; } }

        float _rotX;
        public float RotX { get { return _rotX; } }

        float _rotY;
        public float RotY { get { return _rotY; } }

        float _rotZ;
        public float RotZ { get { return _rotZ; } }

        float _scale;
        public float Scale { get { return _scale; } }

        public Entity(TextureModel model, Vertex3f position, float rotX, float rotY, float rotZ, float scale)
        {
            _model = model;
            _position = position;
            _rotX = rotX;
            _rotY = rotY;
            _rotZ = rotZ;
            _scale = scale;
        }

        public void increasePosition(float dx, float dy, float dz)
        {
            _position.x += dx;
            _position.y += dy;
            _position.z += dz;
        }

        public void increaseRotation(float dx, float dy, float dz)
        {
            _rotX += dx;
            _rotY += dy;
            _rotZ += dz;
        }
    }
}
